# Workflow Run

## Get workflow run status

**get** `/v1/workflowRun/{runId}/status`

Returns the current status of a workflow run.

### Path Parameters

- `runId: string`

  Unique identifier of the workflow run.

### Returns

- `WorkflowRunStatusResponse object { status }`

  - `status: string`

    Current status of the workflow run (e.g. `running`, `completed`, `failed`).

### Example

```http
curl https://api.lightfield.app/v1/workflowRun/$RUN_ID/status \
    -H 'Lightfield-Version: 2026-03-01'
```

#### Response

```json
{
  "status": "status"
}
```

## Domain Types

### Workflow Run Status Response

- `WorkflowRunStatusResponse object { status }`

  - `status: string`

    Current status of the workflow run (e.g. `running`, `completed`, `failed`).
